Buildings Search (GET)

Identical to POST /buildings and accepts the same query parameters. Use this method when the map boundary is small enough to fit in the query string. For large polygons or multipolygons, use POST /buildings and send the map data in the request body.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
area
array of strings

Filters buildings by geographical area (also referred to as region or county).

area
buildingName
array of strings

Filters buildings by name. Availability of building names may vary by MLS and is not guaranteed for all buildings.

buildingName
city
array of strings

Filters buildings by city.

city
class
array of strings

Filters buildings by property class.

class
Allowed:
string
enum

Filters buildings by public display status. Y returns buildings that may be displayed publicly, N returns buildings that should be password protected. Note - this parameter is currently validated but has no effect on the results.

Allowed:
float
-90 to 90

Accepts a value for latitude. Must be used together with the long and radius parameters to return buildings within a certain radius of a given latitude and longitude. If any one of lat, long or radius is provided, all three are required.

float
-180 to 180

Accepts a value for longitude. Must be used together with the lat and radius parameters to return buildings within a certain radius of a given latitude and longitude. If any one of lat, long or radius is provided, all three are required.

json

GeoJSON polygon or multi-polygon boundary for geographical filtering. Limits results to buildings within the specified boundaries. For complex polygons or multipolygons that exceed query parameter size limits, use the POST method and include the map data in the request body. Format: Array of coordinate arrays, where each coordinate is [longitude, latitude] in WGS 84 format. The polygon must be closed (first and last points must be identical). For more information refer to the implementation guide Filtering Listings Geo-Spatially Using the "map" Parameter

integer
≥ 1

Filters buildings whose listing prices are <= the supplied value.

integer
≥ 1

Filters buildings whose story count is <= the supplied value.

integer
≥ 0

Filters buildings whose bathroom count is >= the supplied value.

integer
≥ 0

Filters buildings whose bedroom count is >= the supplied value.

integer
≥ 1

Filters buildings whose listing prices are >= the supplied value.

integer
≥ 1

Filters buildings whose story count is >= the supplied value.

neighborhood
array of strings

Filters buildings by neighborhood.

neighborhood
integer
≥ 1
Defaults to 1

The page number to return. For example, with 100 results per page, specifying pageNum=2 returns results 101–200.

propertyType
array of strings

Filters buildings by property type.

propertyType
integer
≥ 1

Accepts a value for radius, expressed in the unit set by radiusUnit (KM by default). Must be used with lat and long parameters to return buildings within the specified radius of a given latitude and longitude. If any one of lat, long or radius is provided, all three are required. Must be a whole number greater than 0.

string
enum
Defaults to km

Sets the unit of measurement for the radius parameter. Can only be used together with radius.

Allowed values:

  • km — kilometers (default)
  • m — meters
  • mi — miles
  • yd — yards
Allowed:
integer
1 to 100
Defaults to 100

The number of buildings to return per page.

string
enum

Sorts results by the specified field. Note - this parameter is currently validated but has no effect on the order of the results.

Allowed:
streetName
array of strings

Filters buildings by street name.

streetName
streetNumber
array of strings

Filters buildings by street number.

streetNumber
string
enum

Filters buildings by listing type.

Allowed:
status
array of strings

Filters buildings by the status of their listings. A returns buildings with available listings, U returns buildings with unavailable listings. Values are case-insensitive. Repeat the parameter to supply both.

status
Allowed:
Responses

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json